internal class Program
{
    static void Main(string[] args)
    {
        int asdf = int.Parse(Console.ReadLine());
        while (asdf > 0)
        {
            asdf--;
            int[] ulaz = Console.ReadLine().Split().Select(int.Parse).ToArray();
            int a, b;
            a = ulaz[0];
            b = ulaz[1];

            if (a != b)
            {
                Console.WriteLine(-1);
                continue;
            }
            else
            {
                for (int br = 0; br < a*a; br+=a) 
                {
                    int i = br / a;
                    string linija = "";
                    if (i == 0 || i == a - 1)
                    {
                        for (int p = 0; p < a; p++) linija += "1 ";
                    }
                    else 
                    {
                        int p;
                        linija += "1 ";
                        for (p = 0; p < a - i - 1; p++) linija += "0 ";
                        for (int q = p; q < a-1; q++) linija += "1 ";
                    }
                    Console.WriteLine(linija);
                }
                //for (int brojac = 0; brojac < a*a; brojac++)
                //{
                //    int i = brojac / a;
                //    int j = brojac % a;
                //    if (i == 0 || i == a - 1 || j == b - 1 || j == 0 || j + i > a || j == a - i)
                //    {
                //        Console.Write("1 ");
                //    }
                //    else
                //    {
                //        Console.Write("0 ");
                //    }
                //    if (brojac % a == a-1) 
                //    {
                //        Console.WriteLine();
                //    }
                //}
            }
        }
    }
}